package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 用户仓库关系表
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2018-10-31 15:18
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name="T_WMS_USER_WAREHOUSE")
@Api("用户仓库关系表")
public class RefUserWareHouse extends BaseBean {

    @Column(name="USER_ID")
    @ApiParam("用户编号")
    public String userId;

    @Column(name="WAREHOUSE_ID")
    @ApiParam("仓库编号")
    public String storeId;
}
